#\u7AEF\u53E3\u914D\u7F6E
server.port=6001
#server.port=8443
#server.ssl.protocol=TLS
#server.ssl.key-store=classpath:online.jks
#server.ssl.key-store-password=123456
#server.ssl.key-store-type=JKS
#server.ssl.enabled=true
#server.ssl.key-alias=tomcat

#tomcat\u6700\u5927\u7EBF\u7A0B\u6570\uFF0C\u9ED8\u8BA4\u4E3A200
server.tomcat.threads.max=250
#tomcat\u6700\u5927\u8FDE\u63A5\u6570
server.tomcat.max-connections=2500
#tomcat\u7684URI\u7F16\u7801
server.tomcat.uri-encoding=UTF-8

#\u9879\u76EE\u540D\u79F0
spring.application.name=themis-admin

#\u6570\u636E\u6E90\u914D\u7F6E
db.host=localhost
db.port=3306
db.name=themis_release
db.username=root
db.password=123456789

#redis\u6570\u636E\u6E90\u914D\u7F6E
#com.qmth.redis.host=${db.host}
#com.qmth.redis.port=6379
#com.qmth.redis.db=13
#com.qmth.redis.password=
redis.host=${db.host}
redis.database=13
redis.port=6379
redis.password=

spring.redis.database=${redis.database}
spring.redis.host=${redis.host}
spring.redis.port=${redis.port}
spring.redis.password=${redis.password}
spring.redis.jedis.pool.max-active=30
spring.redis.jedis.pool.max-wait=-1ms
spring.redis.jedis.pool.max-idle=5
spring.redis.jedis.pool.min-idle=1
spring.redis.jedis.timeout=180000

#mysql\u914D\u7F6E
com.qmth.datasource.url=jdbc:mysql://${db.host}:${db.port}/${db.name}?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8&nullCatalogMeansCurrent=true
com.qmth.datasource.username=${db.username}
com.qmth.datasource.password=${db.password}
com.qmth.mybatis.log-level=debug

#\u65E5\u5FD7\u914D\u7F6E
logging.level.root=info

#mongodb\u6570\u636E\u6E90\u914D\u7F6E
#mongodb.database=themis-admin
#mongodb.host=${db.host}
#mongodb.port=27017

#mongodb
#spring.data.mongodb.uri=mongodb://${mongodb.host}:${mongodb.port}/${mongodb.database}
#spring.data.mongodb.grid-fs-database=${mongodb.database}
#spring.data.mongodb.database=${mongodb.database}

#elasticsearch
#spring.elasticsearch.rest.uris=http://localhost:9200
#spring.elasticsearch.rest.username=elastic
#spring.elasticsearch.rest.password=123456

#\u65E5\u671F\u683C\u5F0F\u5316
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8

#\u963F\u91CC\u4E91OSS\u914D\u7F6E
aliyun.oss.publicName=oss-cn-shenzhen.aliyuncs.com
aliyun.oss.publicEndpoint=http://${aliyun.oss.publicName}
aliyun.oss.publicAccessKeyId=LTAI4FnJ2pgV6aGceYcCkeEi
aliyun.oss.publicAccessKeySecret=ktrMEVE7PfoxRPeJUPDFeygOIH4aU7
aliyun.oss.publicBucket=qmth-test
aliyun.oss.publicUrl=http://${aliyun.oss.publicBucket}.${aliyun.oss.publicName}

aliyun.oss.privateName=oss-cn-shenzhen.aliyuncs.com
aliyun.oss.privateEndpoint=http://${aliyun.oss.privateName}
aliyun.oss.privateAccessKeyId=LTAI4FnJ2pgV6aGceYcCkeEi
aliyun.oss.privateAccessKeySecret=ktrMEVE7PfoxRPeJUPDFeygOIH4aU7
aliyun.oss.privateBucket=qmth-test
aliyun.oss.privateUrl=http://static-test.qmth.com.cn

#\u7CFB\u7EDF\u914D\u7F6E
sys.config.datacenterId=1
sys.config.oss=true
#sys.config.serverUpload=/Users/king/git/themis-files/
#spring.resources.static-locations=file:${sys.config.serverUpload},classpath:/META-INF/resources/,classpath:/resources/

#============================================================================
# \u914D\u7F6Erocketmq
#============================================================================
#namesrv\u5730\u5740
rocketmq.name-server=127.0.0.1:9876
#\u53D1\u9001\u6D88\u606F\u8D85\u65F6\u65F6\u95F4\uFF0C\u5355\u4F4D\u6BEB\u79D2\u3002\u9ED8\u8BA410000
rocketmq.producer.send-message-timeout=300000
#Producer\u7EC4\u540D\uFF0C\u591A\u4E2AProducer\u5982\u679C\u5C5E\u4E8E\u4E00\u4E2A\u5E94\u7528\uFF0C\u53D1\u9001\u540C\u6837\u7684\u6D88\u606F\uFF0C\u5219\u5E94\u8BE5\u5C06\u5B83\u4EEC\u5F52\u4E3A\u540C\u4E00\u7EC4\u3002\u9ED8\u8BA4DEFAULT_PRODUCER
rocketmq.producer.group=my-group
#\u5BA2\u6237\u7AEF\u9650\u5236\u7684\u6D88\u606F\u5927\u5C0F\uFF0C\u8D85\u8FC7\u62A5\u9519\uFF0C\u540C\u65F6\u670D\u52A1\u7AEF\u4E5F\u4F1A\u9650\u5236\uFF0C\u9700\u8981\u8DDF\u670D\u52A1\u7AEF\u914D\u5408\u4F7F\u7528\u3002\u9ED8\u8BA44MB
rocketmq.producer.compress-message-body-threshold=4096
rocketmq.producer.max-message-size=4194304
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u6700\u5927\u91CD\u8BD5\u6B21\u6570\uFF0C\u8BE5\u53C2\u6570\u53EA\u5BF9\u5F02\u6B65\u53D1\u9001\u6A21\u5F0F\u8D77\u4F5C\u7528\u3002\u9ED8\u8BA42
rocketmq.producer.retry-times-when-send-async-failed=3
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u662F\u5426\u7EE7\u7EED\u53D1\u4E0B\u4E00\u6761
rocketmq.producer.retry-next-server=true
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u6700\u5927\u91CD\u8BD5\u6B21\u6570\uFF0C\u8BE5\u53C2\u6570\u53EA\u5BF9\u540C\u6B65\u53D1\u9001\u6A21\u5F0F\u8D77\u4F5C\u7528\u3002\u9ED8\u8BA42
rocketmq.producer.retry-times-when-send-failed=3
#ACK
rocketmq.producer.access-key=AK
rocketmq.producer.secret-key=SK
#\u542F\u7528\u6D88\u606F\u8F68\u8FF9\uFF0C\u9ED8\u8BA4\u503Ctrue
rocketmq.producer.enable-msg-trace=true
#\u81EA\u5B9A\u4E49\u7684\u6D88\u606F\u8F68\u8FF9\u4E3B\u9898
#rocketmq.producer.customized-trace-topic=my-trace-topic

com.qmth.solar.access-key=0de21ea8c3f041819af866a160f38b12
com.qmth.solar.access-secret=Ly3AxTF2Mbek8vcTmZiKa8zDDKUej4n2
#com.qmth.solar.license=/Volumes/extend/\u542F\u660E/\u77E5\u5B66\u77E5\u8003/\u897F\u4EA4\u5927\u6FC0\u6D3B\u6587\u4EF6/tc-xjtu.lic

#\u65E0\u9700\u9274\u6743\u7684url
#no.auth.urls=/webjars/**,/druid/**,/swagger-ui.html,/doc.html,/swagger-resources/**,/v2/api-docs,/webjars/springfox-swagger-ui/**,/api/admin/user/login/account,/api/admin/sys/org/queryByOrgCode,/file/**,/upload/**,/client/**,/base_photo/**,/frontend/**,/api/admin/client/save,/api/admin/client/upload,/api/admin/client/query,/api/admin/app/save,/api/admin/app/query,/api/notify/monitor/record/tencent,/api/notify/monitor/status/tencent,/api/admin/exam/http/test/send,/api/admin/exam/http/test/save,/api/admin/exam/http/test/student/score,/api/admin/exam/http/test/subject/save,/api/admin/exam/http/test/student/save,/api/admin/exam/http/test/file/{type}/upload,/api/admin/invigilateUser/login/query
#common.system.urls=/api/admin/sys/getMenu,/api/admin/user/logout,/api/admin/sys/env,/api/admin/sys/file/upload,/api/admin/sys/file/download,/api/admin/sys/org/query,/api/admin/sys/role/query,/api/admin/sys/examActivity/query,/api/admin/sys/exam/query,/api/admin/sys/examRoom/query,/api/admin/sys/exam/privilegeQuery,/api/admin/student/photo/upload,/api/admin/sys/getPlayUrls,/api/admin/sys/exam/finish/query,/api/admin/sys/get_tencent_video,/api/admin/exam/cloud_mark/push/data,/api/admin/examStudent/cloud_mark/score/sync